{% load app_filters %}
<html xmlns="http://www.w3.org/1999/html">
<head>
<style>


    @page {
        size: a4 portrait;
        @frame header_frame {           /* Static Frame */
            -pdf-frame-content: header_content;
            left: 50pt; width: 512pt; top: 30pt;
            border: 0pt solid white;
        }
        @frame content_frame {          /* Content Frame */
            -pdf-frame-content: main_content;
            left: 50pt; width: 512pt; top: 100pt; height: 632pt;
            border: 0pt solid white;
        }
        @frame footer_frame {           /* Another static Frame */
            -pdf-frame-content: footer_content;
            left: 50pt; width: 512pt; top: 725pt;
            border: 0pt solid white;
        }
    }

    body{
    
        font-size: 12pt;
    }
    p{

        line-height: 14px;
        padding-bottom: 0pt !important;
        padding-top: 0pt !important;

    }
 
    h1, h2, h3, h4, h5, li{
        padding-top: 0px;
        padding-bottom: 0px;
    }
    h1 {
        text-align:center;
    }
    h3 {
        font-size: 10pt;
    }
    .footer p{
        font-size: 11px;
        margin-top: .05pt;
        margin-bottom: .05pt;
    }
    .address p{
        font-size: 11px;
        margin-top: .05pt;
        margin-bottom: .05pt;
    }
    .content{

    }
    .pull-right{
        position: fixed;
        right: 0pt;
        padding: 300px;
        float: right !important;
        right: 20px;
    }
  


    .invoice-table{
        border-collapse: collapse;
    }


   .invoice-table{
    border: 1px solid black;
    border-collapse: collapse;
    }
  
    .brand{
        font-size: 20pt;
    }
    .header-table {
        margin-top: 0px;
    }
    .footer_table {
        padding-top: -20px;
    }
    .header-title {
       margin-bottom: -70pt;
    }
    .centerText{
        text-align: center;
        padding-top: 5px;
    }
    .invoice-details {
        margin-top: 50px;
    }

    #items { clear: both; width: 100%; margin: 30px 0 0 0; border: 1px solid black; }
    #items th { background: #d9edf7; padding-top: 5px; }
    #items textarea { width: 80px; height: 50px; }
    #items tr.item-row td { border: 0; vertical-align: top; }
    #items td.description { width: 250px; }
    #items td.patient-name { width: 300px; }
    #items td.item-name textarea { width: 100%; }
    #items td.total-line { border-right: 0; text-align: right; }
    #items td.total-value { border-left: 0; padding: 10px 0px}
    #items td.total-value textarea { height: 20px; background: none; }
    #items td.balance { background: #d9edf7; }
    #items td.blank { border: 0; }
</style>
</head>

<body>
    <div id="header_content">
        <table class="header-table">
            <tr>
                <td align="left">
                    <div class="address">
                        <p>Ali Sina Building </p>
                        <p>Pul-e-Sorkh Square </p>
                        <p>Karte-Char</p>
                        <p>Kabul, Afghanistan</p>
                    </div>
                </td>
                <td> 
                    <h1>Receipt</h1>
                </td>
                <td align="right">
                    <img src="{{ settings.BASE_DIR }}/static/report/alemhealth.png">
                </td>
            </tr>
        </table>
    </div>

    <!-- Content for Static Frame 'header_frame' -->
    <div id="main_content">
        
                 <table width="200" align="left">
                    <tr>
                        <th align="left">Bill to</th>
                    </tr>
                    <tr>
                        <td>{{ order.hospital }}</td>
                    </tr>
                </table>
                <table width="200"align="right">
                    <tr>
                        <th>Date</th>
                        <th>Invoice #</th>
                    </tr>
                    <tr>
                        <td class="centerText"> {% now "d-M-Y" %}</td>
                        <td class="centerText">{{ order.accession_id }}</td>
                    </tr>
                </table>
                 <hr/>
                <div class="invoice-details">
                    <table id="items" style="font-size: 9pt">
        
                      <tr>
                          <th>Patient Name</th>
                          <th>Provider</th>
                          <th>Urgency</th>
                          <th>Modality</th>
                          <th >Study Price</th>
                          <th>Quantity</th>
                          <th width="30%" >Price</th>
                      </tr>
                      
                      <tr class="item-row" >
                          <td height="160" class="centerText patient-name">{{ order.patient.name }}</td>
                          <td class="centerText description">{{ order.provider }}</td>
                          <td class="centerText">{{ order.priority }}</td>
                          <td class="centerText">{{ order.modality }}</td>
                          <td class="centerText">
                            {% currency order.receipt.total_price order.hospital.currency.is_left  order.hospital.currency.sign %}
                            </td>
                          <td class="centerText">1</td>
                          <td class="centerText total-value">{% currency order.receipt.total_price order.hospital.currency.is_left  order.hospital.currency.sign %}</td>
                      </tr>
                     
                      <tr>
                          <td colspan="4"></td>
                          <td colspan="2"  class="total-line" >Business Receipts Tax(2%)</td>
                          <td colspan="1" align="center" class="total-value">{% currency order.receipt.tax_price order.hospital.currency.is_left  order.hospital.currency.sign %}</td>
                      </tr>
                      <tr>
                          <td colspan="4"></td>
                          <td colspan="2" class="total-line"><strong>Subtotal</strong></td>
                          <td  align="center" class="total-value">{% currency order.receipt.total_price_with_tax order.hospital.currency.is_left  order.hospital.currency.sign %}</td>
                      </tr>
                      <tr>
                          <td colspan="4"></td>
                          <td colspan="2" class="total-line balance"><strong>Total Due</strong></td>
                          <td align="center" class="total-value balance"><div class="due"> {% currency order.receipt.total_price_with_tax order.hospital.currency.is_left  order.hospital.currency.sign %}</div></td>
                      </tr>
                    
                    </table>

                            
                      
        </div>
        
        

     
    </div>
    
 
    
    <div id="footer_content">
    <hr/>
    <table class="footer-table">
            <tr>
                <td>
                    <div class="footer">
                        <p>financeafg@alemhealth.com</p>
                        <p>+93 (0) 202 511 685</p>
                        <p>+93 (0) 788 000 205</p>
                        <p>+93 (0) 788 000 206<p>
                    </div>
                </td>
                <td>
                    Page <pdf:pagenumber> of <pdf:pagecount>
                </td>
                <td>
                    <img src="{{ settings.BASE_DIR }}/static/report/alemhealth.png">
                </td>
            </tr>
        </table>

    </div>
</body>
</html>